import { AnyT } from '../../definitions.interface';
import { GenericPluginCtorT, IEnhancedGenericComponentProps, IGenericPlugin } from '../../definition';
import { GenericComponent } from './generic.component';
export declare class EnhancedGenericComponent<TProps extends IEnhancedGenericComponentProps = IEnhancedGenericComponentProps, TState = {}, TSelfRef = AnyT> extends GenericComponent<TProps, TState, TSelfRef> {
    protected readonly plugins: IGenericPlugin[];
    /**
     * @stable [10.04.2020]
     * @param {GenericPluginCtorT | IGenericPlugin} pluginObject
     */
    protected registerPlugin(pluginObject: GenericPluginCtorT | IGenericPlugin): void;
}
