"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var R = require("ramda");
var util_1 = require("../../util");
var button_1 = require("../button");
var generic_component_1 = require("../base/generic.component");
var definition_1 = require("../../definition");
var SubHeader = /** @class */ (function (_super) {
    __extends(SubHeader, _super);
    function SubHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [08.10.2018]
     * @returns {JSX.Element}
     */
    SubHeader.prototype.render = function () {
        var props = this.props;
        var headerTitle = (React.createElement("span", { className: definition_1.SubHeaderClassesEnum.SECTION_TITLE }, props.title));
        return (React.createElement("div", { className: util_1.joinClassName(definition_1.SubHeaderClassesEnum.SUB_HEADER, props.subBorder && 'rac-sub-header-bordered', !R.isNil(props.navigationActionType) && 'rac-sub-header-navigated') },
            props.navigationActionType && (React.createElement(button_1.Button, { icon: props.navigationActionType, onClick: props.onNavigationActionClick, className: 'rac-button-navigation' })),
            util_1.isFn(props.titleRenderer)
                ? props.titleRenderer(headerTitle)
                : headerTitle,
            props.items));
    };
    return SubHeader;
}(generic_component_1.GenericComponent));
exports.SubHeader = SubHeader;
//# sourceMappingURL=sub-header.component.js.map