"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var operation_1 = require("./operation");
/**
 * @stable [02.04.2020]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
exports.makeEntityOperation = function (uuid) {
    var entityId = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        entityId[_i - 1] = arguments[_i];
    }
    return operation_1.Operation.create(util_1.join(util_1.notNilValuesArrayFilter.apply(void 0, [uuid].concat(entityId)), '-'));
};
//# sourceMappingURL=operation.support.js.map