import { AnyAction, Reducer } from 'redux';
import { IEffectsAction } from 'redux-effects-promise';
import { IAsyncLibsEntity, IDictionariesEntity, ILayoutEntity, IGenericNotificationEntity, IStackEntity } from '../definition';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    asyncLibs: (state: IAsyncLibsEntity, action: AnyAction) => IAsyncLibsEntity;
    dictionaries: (state: IDictionariesEntity, action: IEffectsAction) => IDictionariesEntity;
    permissions: (state: {}, action: AnyAction) => {};
    user: (state: {}, action: AnyAction) => {};
    layout: (state: ILayoutEntity, action: AnyAction) => ILayoutEntity;
    stack: (state: IStackEntity, action: AnyAction) => IStackEntity;
    notification: (state: IGenericNotificationEntity, action: IEffectsAction) => IGenericNotificationEntity;
};
