"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../../util");
var generic_component_1 = require("./generic.component");
var EnhancedGenericComponent = /** @class */ (function (_super) {
    __extends(EnhancedGenericComponent, _super);
    function EnhancedGenericComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.plugins = [];
        return _this;
    }
    /**
     * @stable [10.04.2020]
     * @param {GenericPluginCtorT | IGenericPlugin} pluginObject
     */
    EnhancedGenericComponent.prototype.registerPlugin = function (pluginObject) {
        if (R.isNil(pluginObject)) {
            return;
        }
        this.plugins.push(util_1.isFn(pluginObject)
            ? Reflect.construct(pluginObject, [this])
            : pluginObject);
    };
    return EnhancedGenericComponent;
}(generic_component_1.GenericComponent));
exports.EnhancedGenericComponent = EnhancedGenericComponent;
//# sourceMappingURL=enhanced-generic.component.js.map