import { IActionsDisabledWrapper, IEntity, IEntityWrapper } from '../../definitions.interface';
import { IGenericEditableEntity, IExtendedEntity, IExtendedFormEditableEntity, IListEntity, IListWrapperEntity, IGenericPagedEntity, ToolbarToolsEnum } from '../../definition';
import { IDataMutatorEntity } from '../../entities-definitions.interface';
/**
 * @deprecated mapEditableEntity
 */
export declare const formMapper: (editableEntity: IGenericEditableEntity<import("core/definitions.interface").IKeyValue>) => IExtendedFormEditableEntity<IEntity>;
/**
 * @stable [16.05.2018]
 * @param {IListEntity} listEntity
 * @param {IDataMutatorEntity} dataMutator
 * @returns {IListWrapperEntity}
 */
export declare const listMapper: (listEntity: IListEntity<IEntity, any>, dataMutator?: IDataMutatorEntity<IEntity>) => IListWrapperEntity<IEntity>;
/**
 * @deprecated Use mapListPagedEntity
 */
export declare const listEntityPageEntityFilterMapper: (listEntity: IListEntity<IEntity, any>, pageSize?: number) => IGenericPagedEntity;
/**
 * @deprecated Use mapListWrapperPagedEntity
 */
export declare const listEntityWrapperPageEntityFilterMapper: (listEntity: IListWrapperEntity<IEntity>, pageSize?: number) => IGenericPagedEntity;
/**
 * @stable [30.01.2019]
 * @param {IListWrapperEntity} listWrapperEntity
 * @returns {IListEntity}
 */
export declare const listSelector: (listWrapperEntity: IListWrapperEntity<IEntity>) => IListEntity<IEntity, any>;
/**
 * @deprecated Use mapListWrapperEntity
 */
export declare const listWrapperMapper: (listWrapperEntity: IListWrapperEntity<IEntity>, dataMutator?: IDataMutatorEntity<IEntity>) => IListWrapperEntity<IEntity>;
/**
 * @deprecated Use selectChanges
 */
export declare const editableEntityChangesSelector: <TResult extends IEntity = IEntity>(entity: IGenericEditableEntity<import("core/definitions.interface").IKeyValue>) => TResult;
/**
 * @deprecated Use mapExtendedEntity
 */
export declare const entityMapper: <TEntity extends IEntity>(entity: TEntity, editableEntity?: IGenericEditableEntity<import("core/definitions.interface").IKeyValue>) => IExtendedEntity<TEntity>;
/**
 * @deprecated
 */
export declare const selectedEntitySelector: <TEntity extends IEntity>(listEntity: IListEntity<IEntity, any>) => TEntity;
/**
 * @deprecated Use selectListSelectedEntity
 */
export declare const listSelectedEntitySelector: <TEntity extends IEntity>(listWrapperEntity: IListWrapperEntity<IEntity>) => TEntity;
/**
 * @deprecated Use mapListSelectedExtendedEntity
 */
export declare const listWrapperSelectedEntityMapper: <TEntity extends IEntity>(listWrapperState: IListWrapperEntity<IEntity>, formEntity?: IGenericEditableEntity<import("core/definitions.interface").IKeyValue>) => IEntityWrapper<TEntity>;
/**
 * @deprecated
 */
export declare const actionsDisabledListEntityMapper: (listEntity: IListEntity<IEntity, any>) => IActionsDisabledWrapper;
/**
 * @deprecated mapListWrapperActionsDisabled
 */
export declare const actionsDisabledListWrapperEntityMapper: (listWrapperEntity: IListWrapperEntity<IEntity>) => IActionsDisabledWrapper;
/**
 * @deprecated selectEditableEntityToolbarToolsActiveFilter
 */
export declare const toolbarActiveFilterToolEditableEntityMapper: (editableEntity: IGenericEditableEntity<import("core/definitions.interface").IKeyValue>) => ToolbarToolsEnum[];
/**
 * @deprecated selectFormEntityToolbarToolsActiveFilter
 */
export declare const toolbarActiveFilterToolFormWrapperEntityMapper: (entityFormEntity: IExtendedFormEditableEntity<IEntity>) => ToolbarToolsEnum[];
/**
 * @stable [29.05.2018]
 */
export declare const universalDefaultMappers: ((<TEntity = import("core/definition/user-definition.interface").IUserEntity>(wrapper: import("core/definition/user-definition.interface").IUserWrapperEntity<TEntity>) => import("core/definition/user-definition.interface").IUserWrapperEntity<TEntity>) | (<TTransport = import("core/definition/transport-definition.interface").ITransportEntity>(wrapper: import("core/definition/transport-definition.interface").ITransportWrapperEntity<TTransport>) => import("core/definition/transport-definition.interface").ITransportWrapperEntity<TTransport>) | (<TDictionaries = import("core/definition/dictionary-definition.interface").IDictionariesEntity>(wrapper: import("core/definition/dictionary-definition.interface").IDictionariesWrapperEntity<TDictionaries>) => import("core/definition/dictionary-definition.interface").IDictionariesWrapperEntity<TDictionaries>))[];
