import { IInputWrapper, IStringErrorWrapper, IKeyboardOpenWrapper, ICaretVisibilityWrapper, ICaretPositionWrapper } from '../../../definitions.interface';
import { IUniversalField } from '../../../entities-definitions.interface';
import { IFieldProps } from '../../../configurations-definitions.interface';
/**
 * @stable [04.09.2018]
 */
export interface IUniversalFieldState extends IStringErrorWrapper, IKeyboardOpenWrapper, ICaretVisibilityWrapper, ICaretPositionWrapper {
    focused?: boolean;
}
/**
 * @stable [03.09.2018]
 */
export interface IFieldState extends IUniversalFieldState {
}
export interface IField<TProps extends IFieldProps = IFieldProps, TState extends IFieldState = IFieldState> extends IUniversalField<TProps, TState>, IInputWrapper {
}
