import { TabPanelContainer } from '../tab-panel.container';
import { IFormTabPanelContainerProps, IGenericActiveValueEntity } from '../../../definition';
export declare class FormTabPanelContainer extends TabPanelContainer<IFormTabPanelContainerProps> {
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchActiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchInactiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @returns {IGenericActiveValueEntity}
     */
    protected readonly activeValueEntity: IGenericActiveValueEntity;
}
