import { ILockPageWrapper, IPageSizeWrapper, IPageWrapper, ITotalAmountWrapper, ITotalCountWrapper } from '../definitions.interface';
/**
 * @default-entity
 * @stable [18.09.2019]
 */
export declare const DEFAULT_MAX_PAGED_ENTITY: Readonly<IGenericPagedEntity>;
/**
 * @default-entity
 * @stable [12.10.2019]
 */
export declare const DEFAULT_PAGED_ENTITY: Readonly<IGenericPagedEntity>;
/**
 * @default-entity
 * @stable [12.10.2019]
 */
export declare const DEFAULT_PAGINATED_SINGLE_ENTITY: Readonly<IGenericPaginatedEntity>;
/**
 * @generic-entity
 * @stable [25.06.2019]
 */
export interface IGenericPagedEntity extends IPageWrapper, IPageSizeWrapper {
}
/**
 * @generic-entity
 * @stable [25.06.2019]
 */
export interface IGenericPaginatedEntity extends IGenericPagedEntity, ILockPageWrapper, ITotalAmountWrapper, ITotalCountWrapper {
}
