import { IEntity } from '../definitions.interface';
import { IOperationEntity } from '../definition';
/**
 * @stable [02.04.2020]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
export declare const makeEntityOperation: <TEntity extends IEntity>(uuid: string, ...entityId: (string | number)[]) => IOperationEntity;
